/**************************************************************************
 *                                                                        *
 * This code has been developed by Andrea Graziani. Those intending to    *
 * use this software module in hardware or software products are advised  *
 * that its use may infringe existing patents or copyrights, and any such * 
 * use would be at such party's own risk. The original developer of this  *
 * software module and his/her company, and subsequent editors and their  *
 * companies (including Project Mayo), will have no liability for use of  *
 * this software or modifications or derivatives thereof.                 *
 *                                                                        *
 * Project Mayo gives users of the Codec and Filter a license to this     *
 * software  module or modifications thereof for use in hardware or       *
 * software products claiming conformance to the MPEG-4 Video Standard    *
 * as described in the Open DivX license.                                 *
 *                                                                        *
 * The complete Open DivX license can be found at                         *
 * http://www.projectmayo.com/opendivx/license.php                        *
 *                                                                        *
 **************************************************************************/
/**
*  Copyright (C) 2001 - Project Mayo
 *
 * Andrea Graziani
 *
 * DivX Advanced Research Center <darc@projectmayo.com>
*
**/
// divxuid.h //

//
// divx deux filter object
//

#ifndef _DIVXUID_H_
#define _DIVXUID_H_

// divx
DEFINE_GUID(CLSID_DivX, 
0x78766964, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);

// DIVX
DEFINE_GUID(CLSID_DivX_U, 
0x58564944, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);

// dvx1
DEFINE_GUID(CLSID_DivX_, 
0x31787664, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);

// DVX1
DEFINE_GUID(CLSID_DivX__U, 
0x31585644, 0x0000, 0x0010, 0x80, 0x00, 0x00, 0xaa, 0x00, 0x38, 0x9b, 0x71);

// {310e42a0-f913-11d4-887c-006008dc5c26}
DEFINE_GUID(CLSID_DivXPropertiesPage, 
0x310e42a0, 0xf913, 0x11d4, 0x88, 0x7c, 0x00, 0x60, 0x08, 0xdc, 0x5c, 0x26);

#endif // _DIVXUID_H_
